# Defined in CVS makefile.
%define name           mailcap
%define version        2.0.4
%define release        13mdk

Summary:               Associates helper applications with particular file types
Name:                  %{name}
Version:               %{version}
Release:               %{release}
License:             Public Domain
Group:                 System/Configuration/Networking 
# get the source from our cvs repository (see
# http://www.linuxmandrake.com/en/cvs.php3)
Source0:               %{name}-%{version}.tar.bz2
Source1:		mimetypes
Patch0:                mailcap-2.0.4.patch.bz2
Url:                   http://archive.ncsa.uiuc.edu/SDG/Software/Mosaic/Docs/mailcap.html
BuildArchitectures:    noarch
BuildRoot:             %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The mailcap file is used by the metamail program.  Metamail reads the
mailcap file to determine how it should display non-text or multimedia
material.  Basically, mailcap associates a particular type of file
with a particular program that a mail agent or other program can call
in order to handle the file.

Mailcap should be installed to allow certain programs to be able to
handle non-text files.

%prep
%setup -q
%patch0 -p 1 -b .mdk

%build

%install
rm -rf $RPM_BUILD_ROOT
perl -pi -e "s!/usr/man!%{_mandir}!g" Makefile
%makeinstall
mv $RPM_BUILD_ROOT/etc/mailcap $RPM_BUILD_ROOT/etc/mailcap.base
mkdir -p $RPM_BUILD_ROOT/etc/menu-methods
install -m 755 %{SOURCE1} $RPM_BUILD_ROOT/etc/menu-methods/mailcap

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog
%config(noreplace) /etc/mailcap.base
%config(noreplace) /etc/mailcap.vga
%config(noreplace) /etc/mime.types
%config(noreplace) /etc/menu-methods/mailcap
%{_mandir}/man4/*

%pre
if [ ! -f /etc/mailcap.base -a -f /etc/mailcap ]; then
  mv /etc/mailcap /etc/mailcap.base
fi

%post

%update_menus

%postun

%clean_menus

%changelog
* Wed May 11 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.0.4-13mdk
- rebuild

* Thu Feb 19 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.0.4-12mdk
- do nothing when menu method is run as a normal user (bug #7935)

* Tue Feb 10 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.0.4-11mdk
- name the menu method mailcap to be coherent
- add a comment at the beginning of mailcap

* Tue Feb 10 2004 Frederic Lepied <flepied@mandrakesoft.com> 2.0.4-10mdk
- use a menu method to update mailcap

* Fri Sep  5 2003 Frederic Lepied <flepied@mandrakesoft.com> 2.0.4-9mdk
- add application/x-bittorrent association

* Thu Jan 16 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.4-8mdk
- rebuild

* Thu Jan 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.0.4-7mdk
- url

* Fri Jun 29 2001 Yves Duret <yduret@mandrakesoft.com> 2.0.4-6mdk
- added support for text/html by links

* Wed Jan 17 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 2.0.4-5mdk
- Removed/Replaced non-existant applications
  mailcap:
  -> image/* xv -> png
  -> application/pgp pgp -> gpg
  mailcap.vga:
  -> image/* zgv -> png
  -> added audio/mod
  -> added application/pgp
  -> added application/pdf
  both:
  -> disabled application/x-metamail-patch
  -> removed video/mpeg; video/* (xanim) handles this as well
- noreplace on the config files

* Fri Nov 17 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.4-4mdk
- build release

* Thu Jul 20 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.0.4-3mdk
- BM, macros

* Wed Mar 22 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.4-2mdk
- spechelper fix
- group fix

* Sat Feb  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.0.4-1mdk
- mime.types: RPM are real rpm applications.
- mailcap: Make xv as default viewver.
- Makefile: Make the package cvs mandrake compliant.

* Mon Oct 25 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 2.0.3.
- cleaning our patchs.

* Tue Sep 14 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Add patch for pdf from Harald Schreiber
<Harald.Schreiber@post.rwth-aachen.de>.

* Thu May 13 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Fix a mimes.type bug with apache.

* Mon Apr 12 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Mandrake adaptations.
- bzip2 manpages.
- add de translation from bero.

* Mon Mar 29 1999 Bill Nottingham <notting@redhat.com>
- comment out play

* Fri Mar 19 1999 Preston Brown <pbrown@redhat.com>
- updated mime type for images from xv to ee
- cleaned up for our new version of the package which is in CVS

* Sat Mar 13 1999 Matt Wilson <msw@redhat.com>
- updated mime.types

* Fri Feb 12 1999 Bill Nottingham <notting@redhat.com>
- comment out backticked %variables to work around security problems

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- glibc version 2.1

* Mon Sep 21 1998 Bill Nottingham <notting@redhat.com>
- we don't ship tracker, use mikmod instead

* Wed Jul 29 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- added /etc/mime.types from mutt to this package to make it universal

* Tue Sep 09 1997 Erik Troan <ewt@redhat.com>
- made a noarch package
